Summary:	A perfect hash function generator.
Summary(ja):	完全ハッシュ関数生成プログラム
Name:		gperf
Version:	3.0.4
Release:	3%{?_dist_release}
License:	GPLv3+
Source:		ftp://ftp.gnu.org/pub/gnu/gperf/gperf-%{version}.tar.gz
Group:		Development/Tools
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Gperf is a perfect hash function generator written in C++. Simply
stated, a perfect hash function is a hash function and a data
structure that allows recognition of a key word in a set of words
using exactly one probe into the data structure.

%prep
%setup -q

%build
%configure
make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall
# remove the stuff from the buildroot
rm -rf %{buildroot}/%{_mandir}/{dvi,html}
rm -rf %{buildroot}%{_prefix}/share/doc

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/gperf.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/gperf.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc README NEWS doc/gperf.html
%{_bindir}/gperf
%{_mandir}/man1/gperf.1*
%{_infodir}/gperf.info*

%changelog
* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.0.4-3
- rebuild with VineSeed environment

* Sat Mar 24 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.0.4-2
- rebuild

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0.4-1
- new upstream release
- built with new toolchain

* Sat Sep 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0.3-1
- applied new versioning policy

* Sun Jun 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0.3-0vl1
- new upstream release

* Sun Jul 13 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0.1-1vl1
- based on Redhat Rawhide 3.0.1-1
- s/Copyright/License/

* Fri Feb 22 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- modified for Vine

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Apr 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.7.2-1
- Update to 2.7.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- user infodir and mandir macros for FHS
- use %%makeinstall

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to gzip manpage
- don't use CC=egcs
- fix description

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- added patches for egcs from UP

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- patch for latest egcs

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- create.
